package net.mkonrad.synes.data;

import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;

import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.util.MusicTools;

public abstract class RhythmInstrument extends SeqInstrument
{

  public RhythmInstrument()
  {
    super();
  }

  protected float getPitchArg(Vector3f pos)
  {
    return MusicTools.getPitchFromYCoord(pos.y);
  }

  public boolean needsKeyboard()
  {
    return false;
  }
}
